Bug 39844 - Open file dialog behaves oddly wrt full path names
Summary: Open file dialog behaves oddly wrt full path names
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xpdf   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-09 09:32 UTC by Tim Waugh
Modified: 2007-04-18 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-09 10:13:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2001-05-09 09:32:59 UTC
Description of Problem:
Open file dialog behaves oddly.

How Reproducible:
100%

Steps to Reproduce:
1. Start xpdf
2. Press 'O'
3. Place a PDF file in /tmp and type '/tmp/file.pdf' in the 'File:' box.

Actual Results:
Nothing apparent.  .xsession-errors contains:
Error: Couldn't open file '/home/tim//tmp/file.pdf'

Expected Results:
It should note the leading slash and open /tmp/file.pdf.

Additional Information:

Comment 1 Tim Waugh 2001-05-09 09:37:20 UTC
The save file dialog has a similar problem.


Comment 2 Ngo Than 2001-05-09 10:07:32 UTC
The pdf in "File" edit field is just relativ to "Dir". You should first change
the directory, in your case to /tmp, and then give the pdf file in edit field
"File".

I don't think, it's a  bug.

Comment 3 Tim Waugh 2001-05-09 10:12:56 UTC
Disagree.  No other file dialog in the world works this way.  It is broken.  
Why would I put a slash at the beginning if I was typing in a relative path 
name?

Xpdf should just spot this, like every other file dialog does.


Comment 4 Ngo Than 2002-06-02 16:51:29 UTC
it's fixed in 1.01-3.


Note You need to log in before you can comment on or make changes to this bug.